### Class

# RB PodcastManager

#### Description

    class RB.PodcastManager : GObject.Object
    {
      RBPodcastManagerPrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### rb_podcast_manager_new

No description available.

#### Functions

###### rb_podcast_manager_add_post

No description available.

###### rb_podcast_manager_entry_downloaded

No description available.

#### Instance methods

###### rb_podcast_manager_add_parsed_feed

No description available.

###### rb_podcast_manager_add_search

No description available.

###### rb_podcast_manager_cancel_download

No description available.

###### rb_podcast_manager_delete_download

No description available.

###### rb_podcast_manager_download_entry

No description available.

###### rb_podcast_manager_entry_in_download_queue

No description available.

###### rb_podcast_manager_feed_updating

No description available.

###### rb_podcast_manager_get_podcast_dir

No description available.

###### rb_podcast_manager_get_searches

Returns the list of podcast searches.

###### rb_podcast_manager_insert_feed_url

No description available.

###### rb_podcast_manager_remove_feed

No description available.

###### rb_podcast_manager_shutdown

No description available.

###### rb_podcast_manager_start_sync

No description available.

###### rb_podcast_manager_subscribe_feed

No description available.

###### rb_podcast_manager_update_feeds

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### RB.PodcastManager:db

No description available.

###### RB.PodcastManager:updating

No description available.

#### Signals

###### RB.PodcastManager::feed-update-status

No description available.

###### RB.PodcastManager::finish-download

No description available.

###### RB.PodcastManager::start-download

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBPodcastManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.